---
lang: en
title: 'API docs: authorization.authorizationinterceptor.intercept'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationinterceptor.intercept.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationInterceptor](./authorization.authorizationinterceptor.md) &gt; [intercept](./authorization.authorizationinterceptor.intercept.md)

## AuthorizationInterceptor.intercept() method

**Signature:**

```typescript
intercept(invocationCtx: InvocationContext, next: Next): Promise<NonVoid>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

invocationCtx


</td><td>

[InvocationContext](./context.invocationcontext.md)


</td><td>


</td></tr>
<tr><td>

next


</td><td>

[Next](./context.next.md)


</td><td>


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;[NonVoid](./context.nonvoid.md)<!-- -->&gt;


